Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.5 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

OCS 2.3 Serveur - OCS-NG GUI erreur 500

Bonjour,

je viens d'installer OCS Inventory Server 2.3 sur Fedora. L'installation s'est bien déroulée mais après avoir démarré le script install.php et procédé à la création de la base de données, j'arrive à l'étape de démarrer le GUI pour la première fois... mais j'obtiens une erreur 500. J'ai vérifié si j'arrivais à me connecter avec l'usager 'ocs' sur ma base de données et c'était le cas. J'ai vérifié si la base était bien créée et c'était le cas. J'ai roulé install.php une deuxième fois et on m'indiquait que la base était OK.

Dans le fichier error_log de apache, j'obtiens les lignes suivantes, au redémarrage du service, je ne sens rien d'anormal.

[Tue Jan 17 09:05:26.432019 2017] [core:info] [pid 26500] AH00096: removed PID file /run/httpd/httpd.pid (pid=26500)
[Tue Jan 17 09:05:26.432058 2017] [mpm_prefork:notice] [pid 26500] AH00170: caught SIGWINCH, shutting down gracefully
[Tue Jan 17 09:05:27.782154 2017] [suexec:notice] [pid 27416] AH01232: suEXEC mechanism enabled (wrapper: /usr/sbin/suexec)
[Tue Jan 17 09:05:27.782277 2017] [:notice] [pid 27416] ModSecurity for Apache/2.9.0 (http://www.modsecurity.org/) configured.
[Tue Jan 17 09:05:27.782283 2017] [:notice] [pid 27416] ModSecurity: APR compiled version="1.5.2"; loaded version="1.5.2"
[Tue Jan 17 09:05:27.782287 2017] [:notice] [pid 27416] ModSecurity: PCRE compiled version="8.38 "; loaded version="8.39 2016-06-14"
[Tue Jan 17 09:05:27.782297 2017] [:warn] [pid 27416] ModSecurity: Loaded PCRE do not match with compiled!
[Tue Jan 17 09:05:27.782299 2017] [:notice] [pid 27416] ModSecurity: LUA compiled version="Lua 5.3"
[Tue Jan 17 09:05:27.782301 2017] [:notice] [pid 27416] ModSecurity: YAJL compiled version="2.1.0"
[Tue Jan 17 09:05:27.782303 2017] [:notice] [pid 27416] ModSecurity: LIBXML compiled version="2.9.3"
[Tue Jan 17 09:05:27.782306 2017] [:notice] [pid 27416] ModSecurity: Status engine is currently disabled, enable it by set SecStatusEngine to On.
[Tue Jan 17 09:05:28.084697 2017] [auth_digest:notice] [pid 27416] AH01757: generating secret for digest authentication ...
[Tue Jan 17 09:05:28.088040 2017] [lbmethod_heartbeat:notice] [pid 27416] AH02282: No slotmem from mod_heartmonitor
[Tue Jan 17 09:05:28.105036 2017] [mpm_prefork:notice] [pid 27416] AH00163: Apache/2.4.25 (Fedora) OpenSSL/1.0.2j-fips PHP/5.6.29 mod_perl/2.0.10 Perl/v5.22.2 configured -- resuming normal operations
[Tue Jan 17 09:05:28.105067 2017] [core:notice] [pid 27416] AH00094: Command line: '/usr/sbin/httpd -D FOREGROUND'

J'ai vérifié et chaque module est bel et bien installé sur mon poste. Je dois admettre que je ne sais plus quoi faire maintenant. À l'aide?
asked in OCS Inventory NG server for Unix by (280 points)

1 Answer

0 votes
J'ai trouvé un autre log (nous utilisons plusieurs configurations de apache) et il semblerait qu'il me manquait php-xml sur mon poste. Une fois le module installé, le GUI a commencé à fonctionner.
answered by (280 points)
 
Powered by Question2Answer
...